POST V1/ToolsAndLibrary.{ext}/FeaturePinAndUnpin

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Security.Entities.FeaturePinAndUnpin
NameDescriptionTypeAdditional information
FPSettingsId

No description available

string

None.

FeatureId

No description available

string

None.

FeatureActionId

No description available

string

None.

UserId

No description available

string

None.

Level1

No description available

string

None.

Level2

No description available

string

None.

Level3

No description available

string

None.

Level4

No description available

string

None.

Action

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "fpSettingsId": "sample string 1",
  "featureId": "sample string 2",
  "featureActionId": "sample string 3",
  "userId": "sample string 4",
  "level1": "sample string 5",
  "level2": "sample string 6",
  "level3": "sample string 7",
  "level4": "sample string 8",
  "action": "sample string 9"
}

application/xml, text/xml

Sample:
<FeaturePinAndUnpin xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Security.Entities">
  <Action>sample string 9</Action>
  <FPSettingsId>sample string 1</FPSettingsId>
  <FeatureActionId>sample string 3</FeatureActionId>
  <FeatureId>sample string 2</FeatureId>
  <Level1>sample string 5</Level1>
  <Level2>sample string 6</Level2>
  <Level3>sample string 7</Level3>
  <Level4>sample string 8</Level4>
  <UserId>sample string 4</UserId>
</FeaturePinAndUnpin>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfSystem.Object
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

Object

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "Object",
  "response": {},
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.